Account

Get recipient

POST
/account.recipient.get

Request Body

application/jsonRequired
idRequiredstring

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredobject

Error response

TypeScript Definitions

Use the response body type in TypeScript.

errorRequiredobject
curl -X POST "/v1/account.recipient.get" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string"
  }'
const body = JSON.stringify({
  "id": "string"
})

fetch("/v1/account.recipient.get", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "/v1/account.recipient.get"
  body := strings.NewReader(`{
    "id": "string"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "/v1/account.recipient.get"
body = {
  "id": "string"
}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "data": {
    "id": "string",
    "metadata": {
      "name": "string",
      "email": "string",
      "secondary_email": "string",
      "phone_number": {
        "country_code": "string",
        "number": "string"
      },
      "business_info": {
        "address": {
          "line1": "string",
          "city": "string",
          "state": "string",
          "postal_code": "string",
          "country": "AF",
          "line2": "string",
          "countryISO3166_1": "string"
        },
        "entity_name": "string",
        "registration_number": "string"
      },
      "is_hidden": true
    },
    "preferences": {
      "notifications": {
        "transactions": true
      }
    },
    "created_at": "string"
  }
}
{
  "error": {
    "code": "PARSE_ERROR",
    "message": "string"
  }
}